* {
  margin: 0;
  padding: 0;
}

@font-face {
  font-family: "LILIMING";
  src: url("res/fonts/LILIMING W00 Regular.ttf");
}

@font-face {
  font-family: "Schoolbell";
  src: url("res/fonts/Schoolbell-Regular.ttf")
}

@font-face {
  font-family: 'Magazine';
  src: url('res/fonts/MagazineLetterByBrntlbrnl-Regular.ttf');
}

body {
  font-family: "LILIMING";
  color: white;
  overflow: hidden; /* Overflow hidden to ensure unnecessary scrolling on pages */
  padding-top: 60px;
}

#overlayImage {
  /* Styling for the png above the video */
  position: fixed; /* To make image follow even if scrolling; setting this to fixed also makes gradient follow */
  top: 50%; /* Center vertically */
  left: 50%; /* Center horizontally */
  transform: translate(-50%, -50%); /* Adjust for perfect centering */
  z-index: -1; /* Ensure the image is above the gradient and video */
  width: 100%; /* Adjust size */
  height: auto; /* Maintain aspect ratio */
}

#myVideo {
  /* Stylings for the video background */
  position: fixed; /* Follows the screen even when scrolling */
  right: 0;
  bottom: 0;
  min-width: 100vw;
  min-height: 100vh;
  z-index: -2; /* Make sure it is below all elements */
}

#myVideo-container:before {
  /* The color above the video */
  content: "";
  position: fixed;
  min-height: 100%;
  width: 100%;
  background: linear-gradient(#847dbf65, #847dbfa1);
  z-index: -1;
}

/* Scroll Style */

/* width */
::-webkit-scrollbar {
  width: 12px;
}

/* Track */
::-webkit-scrollbar-track {
  background: #2d2442;
}
 
/* Handle */
::-webkit-scrollbar-thumb {
  background: #7663b0;
}

/* Handle on hover */
::-webkit-scrollbar-thumb:hover {
  background: #524a96; 
}

/* End of scroll style */

/* Start of nav */
/* cute mo lagi sobra */
nav {
  top: 0;
  position: fixed;
  background-color: #211637;
  width: 100%;
  z-index: 99;
}

.nav-container ul {
  list-style-type: none;
  display: flex;
  align-items: center;
  padding: 2rem;
  height: 0;
  margin-right: 4rem;
}

.nav-container ul li:first-child {
  margin-right: auto;
  display: flex;
  gap: 2rem;
  align-items: center;
  font-size: 2rem;
}

.nav-container ul li:first-child a img:hover{
  filter: drop-shadow(0 0 5px #856ac1);
}

.nav-container ul li:first-child a p {
  transition: .2s;
}

.nav-container ul li:first-child a p:hover {
  text-shadow: 0 0 15px white;
  cursor: default;
}

.nav-container ul li a:not(.brandlogo) {
  text-decoration: none;
  color: white;
  padding: 0 3rem;
}

.nav-container ul li a {
  font-size: 1.2rem;
  transition: .5s;
}

.nav-container ul li a:hover {
  text-shadow: 0 0 10px white;
  font-size: 1.3rem;
}

/* End of nav */

/* Footer stylings */

footer {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  width: 100%;
  bottom: 0;
  left: 0;
  padding: 1.5rem 0 2rem 0;
  gap: 0.5rem;
  font-size: 1.2rem;
}

.pageFooter {
  margin-top: 10rem;
  background-color: rgb(17, 2, 31);
  color: white;
}

/* End of footer stylings */

/* index.html content stylings */

.container {
  display: flex;
  align-items: center;
  justify-content: center;
  height: 100svh;
  margin: 0 30rem;
}

.homeText {
  text-shadow: 0px 0px 15px white;
  font-size: 2rem;
  text-align: center;
}

.content {
  margin-top: 2rem;
  display: flex;
  align-items: center;
  flex-direction: column;
  position: relative;
  gap: 8rem;
}

/* End of index.html */

/* Band-aid Button */

.getStartedButton {
  display: flex;
  align-items: center;
  justify-content: center;
  transition: 0.5s;
  text-decoration: none;
  font-family: 'LILIMING';
  font-weight: 400;
}

.getStartedButton:hover {
  transition: 0.5s;
  rotate: -15deg;
  cursor: pointer;
}

.getStarted {
  text-decoration: none;
  color: white;
  font-size: 3rem;
  transition: 0.5s;
}

.getStartedButton:hover .getStarted {
  text-shadow: 0px 0px 15px white;
  text-decoration: none;
  transition: 0.5s;
}

.bandaid {
  position: absolute;
  z-index: -1;
}

/* End Band-aid button */

/* Login/Sign-up Styling */

.loginWrapper {
  display: flex;
  justify-content: center;
  align-items: center;
  height: 90svh;

}

.loginContainer {
  /* Contains the loginBox; it centers the elements within it (loginBox) with display: flex */
  width: 100%;
  align-content: center;
  z-index: 3;
  font-size: 1.5rem;
  font-weight: bold;
}

.loginBox {
  /* Has the color and the form elements, is a form tag and centers everything within it with display: flex */
  background-color: #524a96;
  float: right;
  margin-right: 16rem;
  display: flex;
  flex-direction: column;
  padding: 3rem 7rem;
  gap: 2rem;
  justify-content: center;
  align-items: center;
  border-radius: 1.5rem;
  zoom: 90%;
  width: 400px;
}

.loginBox input {
  /* To make the input borders rounded and ensure max width */
  padding: 1rem;
  border-radius: 2rem;
  border: none;
  width: 100%;
}

.loginBox label {
  /* To position the label sa left, nakagitna kac pag indi nilagyan ni2 (dahil sa align-items center sa loginBox)*/
  margin-right: auto;
  margin-bottom: -1.5rem;
}

.loginBox button {
  /* Button styling */
  font-family: "LILIMING";
  width: 100%;
  padding: 1rem 5rem;
  border: none;
  border-radius: 1.5rem;
  cursor: pointer;
  color: white;
  background-color: #847dbf;
  transition: 0.5s;
  font-size: 1.8rem;
}

.loginBox button:hover {
  transition: 0.5s;
  background-color: #96a1d6;
}

.loginBox h1 {
  font-family: "Magazine";
  font-size: 4rem;
  text-align: center;
  letter-spacing: 3px;
}

.loginBox a {
  text-decoration: none;
  color: white;
  transition: 0.5s;
}

.loginBox a:hover {
  text-shadow: 0 0 15px white;
  transition: 0.5s;
}

/* End of Login Styling */

/* Homepage styling (olivia, photos, concert, fanarts */

.selection-container {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  height: 90svh;
  gap: 2rem;
  padding-bottom: 4rem;
}

.selection {
  display: flex;
  gap: 1.5rem;
  zoom: 120%;
}

.boxContent {
  position: relative;
  width: 250px;
  height: 350px;
  overflow: hidden;
  transition: 0.5s;
  zoom: 1.1;
}

.selection .boxContent:hover {
  box-shadow: 0px 0px 50px rgb(197, 166, 255);
  transition: 0.5s;
}

.boxContent img {
  position: absolute;
  width: inherit;
  height: inherit;
  object-fit: cover;
  transition: 0.5s ease;
}

.selection div img:hover {
  transform: scale(110%);
}

.poster {
  transform: scale(105%);
}

.poster:hover {
  transform: scale(115%);
}

/* Key behavior for zooming in pics */

.kid,
.album2,
.poster2,
.fanart2 {
  opacity: 0; /* Default image is hidden */
}

.boxContent:hover .olivia,
.boxContent:hover .album,
.boxContent:hover .poster,
.boxContent:hover .fanart {
  opacity: 0; /* Fade out initial picture */
  transform: scale(1.1);
}

.boxContent:hover .kid,
.boxContent:hover .album2,
.boxContent:hover .poster2,
.boxContent:hover .fanart2 {
  opacity: 1; /* Fade in secondary picture */
}

.boxSelection p {
  transition: text-shadow .5s;
}

.selection div:hover p {
  text-shadow: 0 0 15px white;
}

/* End of key behavior */

/* .textSelection {
  display: flex;
  gap: 17rem;
  font-size: 2rem;
  text-align: center;
  align-items: center;
  justify-content: space-around;
} */

.selectionLink {
  text-decoration: none;
  color: white;
}

.boxSelection {
  display: flex;
  flex-direction: column;
  gap: 1rem;
  align-items: center;
  font-size: 1.6rem;
}

.album {
  object-position: 10% 100%;
}

/* Ribbon */

.ribbon {
  position: absolute;
  z-index: 2;
  width: 500px;
  top: 110px;
}

/* End of ribbon */


/* siteDesc */

/* .siteDesc {
  background-color: #211637;
  height: 20rem;
  display: flex;
}

.descPic {
  position: relative;
  overflow: hidden;
  width: auto;
  height: 20rem;
}

.descPic img {
  position:  absolute;
  width: inherit;
  height: inherit;
  object-fit: cover;
} */

/* end of siteDesc */

/* End of homepage stylings */

/* Olivia About */

.oliviaContainer {
  display: flex;
  align-items: center;
  justify-content: end;
  height: 90svh;
  margin: 0 5rem 0 55rem;
  font-family: 'Schoolbell';
  font-size: 27px;
}

.oliviaContent {
  display: flex;
  flex-direction: column;
  gap: 4rem;
}

.oliviaContent p {
  text-align: justify;
}

.socials-container {
  position: absolute;
  bottom: 60px;
}

.socials {
  display: grid;
  grid-template-columns: auto auto;
  gap: 3rem;
}

.socials img{
  width: 3rem;
}

.socials a {
  text-decoration: none;
  color: white;
}

img {
  transition: filter .5s;
}

.socials li:hover img {
  filter: invert(77%) sepia(31%) saturate(2730%) hue-rotate(202deg) brightness(89%) contrast(90%);
}

.socials li {
  transition: text-shadow .5s;
}

.socials li:hover {
  text-shadow: 0px 0px 15px white;
}

.socials1{
  display: flex;
  flex-direction: column;
  gap: 1rem;
}

.socialLinks a {
  display: flex;
  gap: 1rem;
  align-items: center;
}

.socials2 {
  display: flex;
  flex-direction: column;
  grid-column: 2/3;
  gap: 1rem;
}

/* End Olivia */

/* Media Stylings */
/* This is for adjusting the site's elements depending on the screen size (Desktop, phone, tablet), defined by px (1920 x 1080) */

@media (max-width: 600px) { /* Phone Pages */

  /* Index page */
  .nav-container ul {
    margin-right: -1rem;
  }
  .nav-container ul li a:not(.brandlogo) {
    padding: 0 1.5rem;
  }

  .container {
    margin: -3rem 2rem;
  }

  .content {
    gap: 2rem;
  }

  .getStartedButton {
    transform: scale(60%);
  }
  .homeText {
    font-size: 1.5rem;
  }

  #overlayImage {
    display: none;
  }
  /* End of Index page */

  /* Sign-up/Login page */

  .loginContainer {
    display: flex;
    justify-content: center;
  }

  .loginBox {
    float: none;
    margin: auto;
    width: 100px;
    padding: 2rem 7rem;
  }

  .loginBox input {
    width: 200px;
  }

  .loginBox label {
    margin-left: -50px;
    font-size: 1rem;
  }

  .loginBox h1 {
    font-size: 2rem;
    padding: 1rem;
  }

  .loginBox button {
    font-size: 1rem;
    padding: 1rem 3rem;
    text-align: center;
    width: 200%;
  }

  .loginBox p {
    text-align: center;
    font-size: 1.1rem;
    width: 200%;
  }
  /* End of Signup/Login */


  /* Homepage phone */

  body {
    overflow-y: hidden;
  }

  .selection {
    padding: 4rem 0 7rem 0;
    flex-direction: column;
    
    overflow: auto;
    
    max-height: 100svh;
    width: 100%;
  }

  .boxContent {
    zoom: 60%;
  }

  .ribbon {
    display: none;
  }

  /* End of homepage phone */

  /* Olivia Rodrigo About */

  .oliviaContainer {
    position: absolute;
    top: -20px;
    font-size: 1.1rem;
    justify-content: center;
    margin: 0rem 5rem;
  }

  .oliviaContent {
    gap: 1rem;
  }

  .socials-container {
    display: flex;
    position: none;
    justify-content: center;
    margin: 0 1rem;
    align-items: center;
    bottom: -60px;
    zoom: 70%;
  }

  /* End of Olivia About */
}

/* End of Media Stylings */
